#include <iostream>
using namespace std;
int main ()
{
    long long L,m,n, broi=0;
    //L-duljina na pruchka; m=duljina purvi skok; n=uvelichenie sled 1. skok
    cin>>L>>m>>n;
    long long copyL=L, segSkok=m;
    while(copyL>=0){
        copyL=copyL-segSkok;
        segSkok=segSkok+n;
        broi=broi+1;
    }
    cout<<broi<<endl;
    return 0;
}
